apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-04-24T11:15:05.304835667Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    original-ID: vm-27
    original-name: esx8.0-win2022-x86-64-efi
  resourceVersion: '158559517'
  name: esx8.0-win2022-x86-64-efi
  uid: 45d74da6-7771-4683-a870-18ad511dabb7
  creationTimestamp: '2025-04-15T11:37:14Z'
  generation: 5
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:original-ID': {}
            'f:original-name': {}
          'f:labels':
            .: {}
            'f:migration': {}
            'f:plan': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:preference':
            .: {}
            'f:kind': {}
            'f:name': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:efi':
                      .: {}
                      'f:secureBoot': {}
                  'f:serial': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:resources': {}
              'f:networks': {}
              'f:volumes': {}
      manager: forklift-controller
      operation: Update
      time: '2025-04-15T11:37:14Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
        'f:spec':
          'f:preference':
            'f:revisionName': {}
      manager: virt-controller
      operation: Update
      time: '2025-04-15T11:37:20Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:running': {}
      manager: virt-api
      operation: Update
      time: '2025-04-24T11:15:05Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:created': {}
          'f:desiredGeneration': {}
          'f:observedGeneration': {}
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:volumeSnapshotStatuses': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-04-24T11:15:05Z'
  namespace: openshift-mtv
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    migration: 5c733241-5b32-40bb-a8b9-e9b128bcb62f
    plan: f8301657-aa8d-425a-9f7e-6bf8fd01d3a4
    vmID: vm-27
spec:
  preference:
    kind: virtualmachineclusterpreference
    name: windows.2k22
    revisionName: esx8.0-win2022-x86-64-efi-windows.2k22-v1beta1-0d61b6ae-f26e-4c2d-a41c-f36d5d261a40-3
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: esx8.0-win2022-x86-64-efi
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 1
        devices:
          disks:
            - bootOrder: 1
              disk:
                bus: virtio
              name: vol-0
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - macAddress: '00:50:56:af:ca:12'
              masquerade: {}
              model: virtio
              name: net-0
        firmware:
          bootloader:
            efi:
              secureBoot: false
          serial: 422fe8b4-acbe-6683-6684-42a203e05246
        machine:
          type: pc-q35-rhel9.4.0
        memory:
          guest: 2Gi
        resources: {}
      networks:
        - name: net-0
          pod: {}
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: copy-of-test-windows-guest-matrix-vm-27-2w2j5
status:
  conditions:
    - lastProbeTime: '2025-04-24T11:15:05Z'
      lastTransitionTime: '2025-04-24T11:15:05Z'
      message: virt-launcher pod has not yet been scheduled
      reason: PodNotExists
      status: 'False'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: '2025-04-24T11:15:05Z'
      message: no default storage class found
      reason: FailedBackendStorageCreate
      status: 'False'
      type: Synchronized
  created: true
  desiredGeneration: 5
  observedGeneration: 5
  printableStatus: Starting
  runStrategy: Always
  volumeSnapshotStatuses:
    - enabled: false
      name: vol-0
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [hostpath-csi-local-1] [vol-0]'
